import request from '@/utils/request'

export function list(query) {
  return request({
    url: '/knowledge/base/list',
    method: 'get',
	params:query
  })
}
export function getDetails(id) {
  return request({
    url: '/knowledge/base/' + id,
    method: 'get',
  })
}
export function popularKnowledgeList(query) {
  return request({
    url: '/knowledge/base/popularKnowledgeList',
    method: 'get',
	params:query
  })
}
/**
 * 验证积分是否充足
 */
export function verifyScore(query) {
  return request({
    url: '/score/verifyScore',
    method: 'get',
	params:query
  })
}
/**
 * 减少积分
 */
export function reduceScore(data) {
  return request({
    url: '/score/reduceScore',
    method: 'post',
	data:data
  })
}
/**
 * 增加积分
 */
export function addScore(data) {
  return request({
    url: '/score/addScore',
    method: 'post',
	data:data
  })
}
export function addKnowledge(data) {
  return request({
    url: '/knowledge/base',
    method: 'post',
	data:data
  })
}